Skip to main content
PUT
Bulk Update Upsells

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
product_ids
integer[]

The products to update. The balance product is skipped.

Example:
all
boolean
Example:

false

product_upsells
integer[]

IDs of the products to offer as upsells on every selected product, in display order. A product is never its own upsell. Replaces their current upsells; an empty list clears them. Must not have more than 10 items.

Example:

Response

200 - application/json
success
boolean
Example:

true

message
string
Example:

"Products updated successfully"

updated_count
integer
Example:

2

skipped_count
integer
Example:

0

skipped_product_ids
array
Example: